Bug 163258 - Add IndexedNode constructor that accepts lookup
Add IndexedNode constructor that accepts lookup
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Nodes
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 14:25 UTC by oyarzun
Modified: 2010-04-17 08:11 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
New constructor of IndexedNode (7.22 KB, patch)
2010-04-07 04:28 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description oyarzun 2009-04-21 14:25:45 UTC
Add the following constructor to IndexedNode:

    protected IndexedNode(Children children, Index indexImpl, Lookup lookup)
    {
        super(children, lookup);
        this.indexImpl = indexImpl;
    }
Comment 1 Jaroslav Tulach 2010-04-07 04:28:30 UTC
Created attachment 96831 [details]
New constructor of IndexedNode
Comment 2 Petr Jiricka 2010-04-07 07:51:24 UTC
What is the use case? I don't see any bug/feature blocked by this...
Comment 3 Jaroslav Tulach 2010-04-15 15:26:03 UTC
I am not the right one to answer the motivation question, but I expect that the reason is consistency. Node, AbstractNode, FilterNode all accept Lookup and allow people to use it without needing to deal with getCookie. IndexedNode did not provide this constructor so far, forcing people to use the getCookie style.

If there are no other comments, I'll integrate tomorrow.
Comment 4 oyarzun 2010-04-15 18:36:49 UTC
That is correct I wanted to allow the user to reorder the nodes and do something similar to:
    APIObject obj = (APIObject) o;
    AbstractNode result = new AbstractNode (new MyChildren(), Lookups.singleton(obj));
Comment 5 Jaroslav Tulach 2010-04-16 10:15:45 UTC
core-main#1f87885b46ea
Comment 6 Quality Engineering 2010-04-17 08:11:50 UTC
Integrated into 'main-golden', will be available in build *201004170515* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1f87885b46ea
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #163258: Adding IndexedNode(Lookup) constructor


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo